Name:           atanks
Version:        6.5
Release:        %mkrel 2
Summary:        Scorched Earth game clone
License:        GPLv2+
Group:          Games/Arcade
Url:            http://atanks.sourceforge.net/
Source0:        http://downloads.sourceforge.net/atanks/atanks-%{version}.tar.gz

BuildRequires:  allegro4-devel
BuildRequires:  icoutils

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q

%build
%make_build \
	CC="%{__cxx}" \
	OFLAGS="%{optflags}" \
	LFLAGS="%{ldflags} -L%{_libdir} -lX11 -lXext -lXcursor -lXpm -lxcb -lXrender -lXfixes -lXau -lXdmcp" \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%install
%make_install \
	BINDIR=%{_gamesbindir} \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%{__perl} -pi -e "s/\r$//g" %{buildroot}%{_gamesdatadir}/%{name}/tanks.txt

#icons
icotool -x %{name}.ico
for i in 16 32 48; do
	install -Dm644 %{name}_?_${i}x${i}x32.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

%files
%doc Changelog README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Mar 12 2017 akien <akien> 6.5-2.mga6
+ Revision: 1092239
- Rebuild against allegro4

* Sat Nov 12 2016 akien <akien> 6.5-1.mga6
+ Revision: 1066662
- Version 6.5

* Sat Jan 09 2016 zezinho <zezinho> 6.4-1.mga6
+ Revision: 920714
- new version 6.4

* Wed Oct 21 2015 danf <danf> 6.3-2.mga6
+ Revision: 893598
- Removed the old patch entirely so it doesn't get spuriously applied

* Thu Sep 03 2015 zezinho <zezinho> 6.3-1.mga6
+ Revision: 872591
- new version 6.3

* Wed Oct 15 2014 umeabot <umeabot> 6.0-3.mga5
+ Revision: 745929
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0-2.mga5
+ Revision: 678016
- Mageia 5 Mass Rebuild

* Tue Jul 08 2014 zezinho <zezinho> 6.0-1.mga5
+ Revision: 650724
- version 6.0

* Wed May 21 2014 zezinho <zezinho> 5.9-1.mga5
+ Revision: 624650
- new version 5.9

* Sat Feb 08 2014 dams <dams> 5.8-1.mga5
+ Revision: 585805
- new version 5.8

* Fri Oct 18 2013 umeabot <umeabot> 5.7-3.mga4
+ Revision: 502908
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.7-2.mga3
+ Revision: 346522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 zezinho <zezinho> 5.7-1.mga3
+ Revision: 311111
- new version

* Sat Jun 09 2012 zezinho <zezinho> 5.5-1.mga3
+ Revision: 258931
- new version

* Tue May 29 2012 zezinho <zezinho> 5.4-1.mga3
+ Revision: 249474
- rediffed patch
- rediffed patch and linkage flags in spec
- new version

* Sat Feb 25 2012 zezinho <zezinho> 5.3-1.mga2
+ Revision: 214213
- new version

* Tue Oct 11 2011 zezinho <zezinho> 5.2-1.mga2
+ Revision: 153991
- new version 5.2

* Sat Jul 02 2011 wally <wally> 5.1-1.mga2
+ Revision: 117356
- new version 5.1
- redo patches
- use LDFLAGS
- create icons from upstream provided .ico
- clean .spec a bit

* Sun May 08 2011 nanardon <nanardon> 4.8-1.mga1
+ Revision: 96092
- imported package atanks

